Package com.verisign.epp.interfaces

## Class EPPRegistryTst

- java.lang.Object
- - com.verisign.epp.interfaces.EPPRegistryTst

-     public class EPPRegistryTst
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPRegistryTst()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `beforeClass()` |
    `void` | `handleException​(java.lang.Exception aException)` | Handle an `EPPCommandException`, which can be either a server generated error or a general exception.
    `java.lang.String` | `makeTldName()` |
    `void` | `registryCheck​(java.util.Map tldNames)` | Unit test of `EPPRegistry.sendCheck`.
    `void` | `registryCreate​(java.lang.String tldName, boolean shouldSucceed)` | Unit test of `EPPRegistry.sendCreate`.
    `void` | `registryDelete​(java.lang.String tldName, boolean shouldSucceed)` | Unit test of `EPPRegistry.sendDelete`.
    `void` | `registryInfo​(java.lang.String tldName)` | Unit test of `EPPRegistry.sendInfo`.
    `void` | `registryUpdate​(java.lang.String tldName, boolean shouldSucceed)` | Unit test of `EPPRegistry.sendUpdate`.
    `void` | `setUp()` |
    `void` | `tearDown()` | JUNIT `tearDown`, which currently does nothing.
    `void` | `testRegistry()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistryTst

          public EPPRegistryTst()

  - ### Method Detail

    - #### testRegistry

          public void testRegistry()

    - #### registryCheck

          public void registryCheck​(java.util.Map tldNames)

      Unit test of `EPPRegistry.sendCheck`.
      Parameters:
        `tldNames` - TLDs to check

    - #### registryCreate

          public void registryCreate​(java.lang.String tldName,
                                     boolean shouldSucceed)

      Unit test of `EPPRegistry.sendCreate`.
      Parameters:
        `tldName` - TLD name to create
        `shouldSucceed` - `true` if the create should succeed; `false` otherwise.

    - #### registryDelete

          public void registryDelete​(java.lang.String tldName,
                                     boolean shouldSucceed)

      Unit test of `EPPRegistry.sendDelete`.
      Parameters:
        `tldName` - TLD name to delete
        `shouldSucceed` - `true` if the delete should succeed; `false` otherwise.

    - #### registryUpdate

          public void registryUpdate​(java.lang.String tldName,
                                     boolean shouldSucceed)

      Unit test of `EPPRegistry.sendUpdate`.
      Parameters:
        `tldName` - TLD name to update
        `shouldSucceed` - `true` if the update should succeed; `false` otherwise.

    - #### registryInfo

          public void registryInfo​(java.lang.String tldName)

      Unit test of `EPPRegistry.sendInfo`.
      Parameters:
        `tldName` - TLD name to info

    - #### makeTldName

          public java.lang.String makeTldName()

    - #### handleException

          public void handleException​(java.lang.Exception aException)

      Handle an `EPPCommandException`, which can be either a server generated error or a general exception. If the exception was caused by a server error, "Server Error :<Response XML>" will be specified. If the exception was caused by a general algorithm error, "General Error :<Exception Description>" will be specified.
      Parameters:
        `aException` - Exception thrown during test

    - #### beforeClass

          public static void beforeClass()

    - #### setUp

          public void setUp()

    - #### tearDown

          public void tearDown()

      JUNIT `tearDown`, which currently does nothing.